//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    using System.Collections.Generic;
    
    public partial class SecurityFunctions
    {
		public string GetUserGroups(string userName)
		{
			IList<ISecurityUser> HMIUsers = Globals.Security.Users;
			int userIndex = GetUserIndex(HMIUsers, userName);
			
			IList<ISecurityGroup> userGroups = HMIUsers[userIndex].SecurityGroups;
			string groupNames = string.Empty;
			foreach(ISecurityGroup securityGroup in userGroups)
			{
				groupNames += string.Format("{0}, ", securityGroup.GroupName);
			}
			groupNames = groupNames.Remove(groupNames.Length-2, 2);
			return groupNames;
		}
		
		private int GetUserIndex(IList<ISecurityUser> users, string userName)
		{
			bool foundUser=false;
			int index = 0;
			while(index < users.Count-1 && !foundUser)
			{
				if(users[index].Username == userName)
				{
					foundUser = true;
				}
				else
				{
					index++;
				}
			}
			return index;
		}
    }
}
